curl --request GET \
--url https://api-prod.studio.getsupervisor.ai/v1/calls \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-prod.studio.getsupervisor.ai/v1/calls"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-prod.studio.getsupervisor.ai/v1/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "d7e0d9b2-8d8d-4cbb-a4d5-9a52c6b59d2f",
"title": "Llamada de soporte",
"customerPhone": "+5215555555555",
"durationSeconds": 312,
"supervisors": {
"evaluations": 1,
"discoveries": 0,
"risks": 0
},
"goal": {
"achieved": true,
"reason": null
},
"startedAt": "2025-10-03T10:15:11.004Z",
"recordingUrl": "https://example.com/recordings/d7e0d9b2.mp3",
"agentBatchId": null,
"agentId": "5769e110-7267-4cf7-a3ca-2d06e8fffbb3",
"executionId": "exec_01J9Z1F9H2"
}
],
"meta": {
"page": 1,
"limit": 20,
"total": 1,
"hasPrevious": false,
"hasNext": false,
"sort": [
"-startedAt",
"id"
],
"appliedFilters": []
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "Unsupported filter field \"foo\""
}Listar llamadas
Obtiene un listado paginado de llamadas disponibles para el workspace activo. Este recurso es de solo lectura y se alimenta desde Speech Analytics.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Identificador del workspace multi-tenant. Obligatorio al autenticar con Authorization: Bearer, donde su ausencia devuelve 400 Workspace context is required. Con x-api-key es opcional: la llave ya identifica a su workspace y lo que mandes aquí se ignora.
Query Parameters
Número de página (>= 1). Por defecto es 1.
x >= 1Tamaño de página (1..100). Por defecto 20.
1 <= x <= 100Lista separada por comas de campos a ordenar. Usa prefijo '-' para orden descendente.
"createdAt,-id"
Expresión de filtros combinados generada con el API Query Builder.
Utiliza funciones como and(...), or(...), eq(...), like(...), etc. Consulta
docs/api-query-builder.md para la gramática completa y ejemplos adicionales.
Expresión string compatible con el API Query Builder. Soporta composición de funciones
(and, or) y operadores (eq, like, between, etc.) para filtrar resultados.
"and(eq(status,\"active\"),like(name,\"%ventas%\"))"
Filtra llamadas por identificador de batch (campaign/agent batch) asociado.
Filtra llamadas por identificador del agente asociado.
Filtra llamadas por identificador de ejecución asociado.
Retorna llamadas con startedAt mayor o igual a la fecha indicada.
Retorna llamadas con startedAt menor o igual a la fecha indicada.
Filtra por duración ('short' < 60s, 'medium' 60-300s, 'long' > 300s).
short, medium, long Filtra por estado del objetivo ('achieved', 'not_achieved').
achieved, not_achieved Búsqueda de texto en título y teléfono/participantes.
